Bug 225098 - arrows: optflags not honored, semi-useless debuginfo
Summary: arrows: optflags not honored, semi-useless debuginfo
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: arrows (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 22:45 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 11:56:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Honor optflags (394 bytes, patch)
2007-01-28 22:45 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-01-28 22:45:28 UTC
arrows does not honor $RPM_OPT_FLAGS, resulting in no-no such as no stack
protection and semi-useless debuginfo.  Fix attached.

http://fedoraproject.org/wiki/Packaging/Debuginfo

Comment 1 Ville Skyttä 2007-01-28 22:45:28 UTC
Created attachment 146790 [details]
Honor optflags

Comment 2 Hans de Goede 2007-02-14 11:56:40 UTC
Thanks for reporting this, I fixed this by passing 'CCOPTS="$RPM_OPT_FLAGS"' to
make, which IMHO is somewhat more elegant.

Fixed in arrows-0.6-3, closing. I'm only building this for devel as this is a
minor issue IMHO.



Note You need to log in before you can comment on or make changes to this bug.